Bug 222634 - Need number pad keys mapped in m17n-db keymaps
Need number pad keys mapped in m17n-db keymaps
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: m17n-db (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mayank Jain
: i18n
Depends On:
Blocks: 222636
  Show dependency treegraph
 
Reported: 2007-01-15 08:01 EST by Mayank Jain
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-15 08:27:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for adding number pad support in itrans indic keyboards. (7.02 KB, patch)
2007-01-17 07:15 EST, Mayank Jain
no flags Details | Diff

  None (edit)
Description Mayank Jain 2007-01-15 08:01:54 EST
Description of problem:
Need number pad keys mapped in m17n-db keymaps. Currently, these keys are
untapped and they just print numbers in en_US format.

Version-Release number of selected component (if applicable):
m17n-db-1.3.4-2.fc7

How reproducible:
Everytime

Steps to Reproduce:
1. Activate scim
2. Activate any indic keymap (say hi-phonetic)
3. Type using number pad (with num lock in on state)
  
Actual results:
Numbers are typed in english (1,2,3,etc)

Expected results:
Numbers should be typed in language representation.

Additional info:
All indic keymaps are affected.
Comment 1 Mayank Jain 2007-01-17 07:15:13 EST
Created attachment 145796 [details]
Patch for adding number pad support in itrans indic keyboards.
Comment 2 Mayank Jain 2007-01-17 07:19:20 EST
Fixed in


Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
m17n-db-1.3.4-4.fc7                       dist-fc7              majain
Comment 3 A S Alam 2007-03-15 08:27:25 EDT
bug is fixed, tested with following Package:
m17n-db-1.3.4-7.fc7, one issue with Tamil for with Opening new issue with tamil
numerical are in latin

Note You need to log in before you can comment on or make changes to this bug.